#ifndef KMATH_H
#define KMATH_H

#include <QPoint>

class Math
{
public:
    // Ermittelt von einem Punkt p aus den Nächstgelegenen Punkt auf einer Linie zwischen zwei Punkten a und b
    static QPoint getNearestPointOnLine( QPoint p, QPoint a, QPoint b );
    // Ermittelt das Quadrat von dem Abstand zwischen den Punkten a und b
    static int diffSquare( QPoint a, QPoint b );
};

#endif // MATH_H
