#ifndef USERMODE_H
#define USERMODE_H

/*
 * Definiert die verschiedenen Modi, in denen die Arbeitsfläche der GUI
 ***unterschiedlich bedient werden kann
 */
enum UserMode
{
    SELECT,         // Modus zum verstecken / sichtbar machen von Objekten
    MOVE,           // Modus zum verschieben von Objekt Ecken
    NEW,            // Modus zum hinzufügen eindes neuen Objektes
    PIPETTE_SELECT, // Modus zum Kopieren eines Objektes
    PIPETTE_SET,    // Modus zum Einfügen eines Objektes
    DELETE,         // Modus zum Löschen von Objekt Ecken
    CUT,            // Modus zum aufspalten eines Objektes in verschiedene
                    // Objekte
    ZOOM_IN,        // Modus zum heranzoomen
    USERMODE_COUNT  // Anzahl der Modi
};

#endif // USERMODE_H
